com.impinj.stp

## Class StpApi.LowEncodeVolumeEventConfig.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.LowEncodeVolumeEventConfig.Builder>
      - - com.impinj.stp.StpApi.LowEncodeVolumeEventConfig.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.LowEncodeVolumeEventConfigOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.LowEncodeVolumeEventConfig

      public static final class StpApi.LowEncodeVolumeEventConfig.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.LowEncodeVolumeEventConfig.Builder>
      implements StpApi.LowEncodeVolumeEventConfigOrBuilder

  Protobuf type `Impinj.STP.LowEncodeVolumeEventConfig` Configuration of Low Encode Volume Events

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.LowEncodeVolumeEventConfig` | `build()`
    `StpApi.LowEncodeVolumeEventConfig` | `buildPartial()`
    `StpApi.LowEncodeVolumeEventConfig.Builder` | `clear()`
    `StpApi.LowEncodeVolumeEventConfig.Builder` | `clearEnableLowEncodeVolumeEvents()`
    `StpApi.LowEncodeVolumeEventConfig.Builder` | `clearMonzaReminderPeriod()` The period at which the the device will send a reminder report that the remaining Monza encode volume is low.
    `StpApi.LowEncodeVolumeEventConfig.Builder` | `clearMonzaThreshold()` The threshold at which the device will start sending reports that the remaining Monza encode volume is low.
    `StpApi.LowEncodeVolumeEventConfig.Builder` | `clearNonMonzaReminderPeriod()` The period at which the the device will send a reminder report that the remaining Non Monza encode volume is low.
    `StpApi.LowEncodeVolumeEventConfig.Builder` | `clearNonMonzaThreshold()` The threshold at which the device will start sending reports that the remaining Non Monza encode volume is low.
    `StpApi.LowEncodeVolumeEventConfig.Builder` | `clone()`
    `StpApi.LowEncodeVolumeEventConfig` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `boolean` | `getEnableLowEncodeVolumeEvents()`
    `int` | `getMonzaReminderPeriod()` The period at which the the device will send a reminder report that the remaining Monza encode volume is low.
    `long` | `getMonzaThreshold()` The threshold at which the device will start sending reports that the remaining Monza encode volume is low.
    `int` | `getNonMonzaReminderPeriod()` The period at which the the device will send a reminder report that the remaining Non Monza encode volume is low.
    `long` | `getNonMonzaThreshold()` The threshold at which the device will start sending reports that the remaining Non Monza encode volume is low.
    `boolean` | `hasEnableLowEncodeVolumeEvents()`
    `boolean` | `hasMonzaReminderPeriod()` The period at which the the device will send a reminder report that the remaining Monza encode volume is low.
    `boolean` | `hasMonzaThreshold()` The threshold at which the device will start sending reports that the remaining Monza encode volume is low.
    `boolean` | `hasNonMonzaReminderPeriod()` The period at which the the device will send a reminder report that the remaining Non Monza encode volume is low.
    `boolean` | `hasNonMonzaThreshold()` The threshold at which the device will start sending reports that the remaining Non Monza encode volume is low.
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.LowEncodeVolumeEventConfig.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.LowEncodeVolumeEventConfig.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.LowEncodeVolumeEventConfig.Builder` | `mergeFrom(StpApi.LowEncodeVolumeEventConfig other)`
    `StpApi.LowEncodeVolumeEventConfig.Builder` | `setEnableLowEncodeVolumeEvents(boolean value)`
    `StpApi.LowEncodeVolumeEventConfig.Builder` | `setMonzaReminderPeriod(int value)` The period at which the the device will send a reminder report that the remaining Monza encode volume is low.
    `StpApi.LowEncodeVolumeEventConfig.Builder` | `setMonzaThreshold(long value)` The threshold at which the device will start sending reports that the remaining Monza encode volume is low.
    `StpApi.LowEncodeVolumeEventConfig.Builder` | `setNonMonzaReminderPeriod(int value)` The period at which the the device will send a reminder report that the remaining Non Monza encode volume is low.
    `StpApi.LowEncodeVolumeEventConfig.Builder` | `setNonMonzaThreshold(long value)` The threshold at which the device will start sending reports that the remaining Non Monza encode volume is low.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.LowEncodeVolumeEventConfig.Builder>`

    - #### clear

          public StpApi.LowEncodeVolumeEventConfig.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.LowEncodeVolumeEventConfig.Builder>`

    - #### clone

          public StpApi.LowEncodeVolumeEventConfig.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.LowEncodeVolumeEventConfig.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.LowEncodeVolumeEventConfig.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.LowEncodeVolumeEventConfig getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.LowEncodeVolumeEventConfig build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.LowEncodeVolumeEventConfig buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.LowEncodeVolumeEventConfig.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.LowEncodeVolumeEventConfig.Builder>`

    - #### mergeFrom

          public StpApi.LowEncodeVolumeEventConfig.Builder mergeFrom(StpApi.LowEncodeVolumeEventConfig other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.LowEncodeVolumeEventConfig.Builder>`

    - #### mergeFrom

          public StpApi.LowEncodeVolumeEventConfig.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                              throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.LowEncodeVolumeEventConfig.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasEnableLowEncodeVolumeEvents

          public boolean hasEnableLowEncodeVolumeEvents()

      Specified by:
        `hasEnableLowEncodeVolumeEvents` in interface `StpApi.LowEncodeVolumeEventConfigOrBuilder`

    - #### getEnableLowEncodeVolumeEvents

          public boolean getEnableLowEncodeVolumeEvents()

      Specified by:
        `getEnableLowEncodeVolumeEvents` in interface `StpApi.LowEncodeVolumeEventConfigOrBuilder`

    - #### setEnableLowEncodeVolumeEvents

          public StpApi.LowEncodeVolumeEventConfig.Builder setEnableLowEncodeVolumeEvents(boolean value)

    - #### clearEnableLowEncodeVolumeEvents

          public StpApi.LowEncodeVolumeEventConfig.Builder clearEnableLowEncodeVolumeEvents()

    - #### hasMonzaThreshold

          public boolean hasMonzaThreshold()

      The threshold at which the device will start sending reports that the remaining Monza encode volume is low.
      Specified by:
        `hasMonzaThreshold` in interface `StpApi.LowEncodeVolumeEventConfigOrBuilder`

    - #### getMonzaThreshold

          public long getMonzaThreshold()

      The threshold at which the device will start sending reports that the remaining Monza encode volume is low.
      Specified by:
        `getMonzaThreshold` in interface `StpApi.LowEncodeVolumeEventConfigOrBuilder`

    - #### setMonzaThreshold

          public StpApi.LowEncodeVolumeEventConfig.Builder setMonzaThreshold(long value)

      The threshold at which the device will start sending reports that the remaining Monza encode volume is low.

    - #### clearMonzaThreshold

          public StpApi.LowEncodeVolumeEventConfig.Builder clearMonzaThreshold()

      The threshold at which the device will start sending reports that the remaining Monza encode volume is low.

    - #### hasNonMonzaThreshold

          public boolean hasNonMonzaThreshold()

      The threshold at which the device will start sending reports that the remaining Non Monza encode volume is low.
      Specified by:
        `hasNonMonzaThreshold` in interface `StpApi.LowEncodeVolumeEventConfigOrBuilder`

    - #### getNonMonzaThreshold

          public long getNonMonzaThreshold()

      The threshold at which the device will start sending reports that the remaining Non Monza encode volume is low.
      Specified by:
        `getNonMonzaThreshold` in interface `StpApi.LowEncodeVolumeEventConfigOrBuilder`

    - #### setNonMonzaThreshold

          public StpApi.LowEncodeVolumeEventConfig.Builder setNonMonzaThreshold(long value)

      The threshold at which the device will start sending reports that the remaining Non Monza encode volume is low.

    - #### clearNonMonzaThreshold

          public StpApi.LowEncodeVolumeEventConfig.Builder clearNonMonzaThreshold()

      The threshold at which the device will start sending reports that the remaining Non Monza encode volume is low.

    - #### hasMonzaReminderPeriod

          public boolean hasMonzaReminderPeriod()

      The period at which the the device will send a reminder report that the remaining Monza encode volume is low. The value is the number of attempted encodes since last report. Set to 0 to disable reminders.
      Specified by:
        `hasMonzaReminderPeriod` in interface `StpApi.LowEncodeVolumeEventConfigOrBuilder`

    - #### getMonzaReminderPeriod

          public int getMonzaReminderPeriod()

      The period at which the the device will send a reminder report that the remaining Monza encode volume is low. The value is the number of attempted encodes since last report. Set to 0 to disable reminders.
      Specified by:
        `getMonzaReminderPeriod` in interface `StpApi.LowEncodeVolumeEventConfigOrBuilder`

    - #### setMonzaReminderPeriod

          public StpApi.LowEncodeVolumeEventConfig.Builder setMonzaReminderPeriod(int value)

      The period at which the the device will send a reminder report that the remaining Monza encode volume is low. The value is the number of attempted encodes since last report. Set to 0 to disable reminders.

    - #### clearMonzaReminderPeriod

          public StpApi.LowEncodeVolumeEventConfig.Builder clearMonzaReminderPeriod()

      The period at which the the device will send a reminder report that the remaining Monza encode volume is low. The value is the number of attempted encodes since last report. Set to 0 to disable reminders.

    - #### hasNonMonzaReminderPeriod

          public boolean hasNonMonzaReminderPeriod()

      The period at which the the device will send a reminder report that the remaining Non Monza encode volume is low. The value is the number of attempted encodes since last report. Set to 0 to disable reminders.
      Specified by:
        `hasNonMonzaReminderPeriod` in interface `StpApi.LowEncodeVolumeEventConfigOrBuilder`

    - #### getNonMonzaReminderPeriod

          public int getNonMonzaReminderPeriod()

      The period at which the the device will send a reminder report that the remaining Non Monza encode volume is low. The value is the number of attempted encodes since last report. Set to 0 to disable reminders.
      Specified by:
        `getNonMonzaReminderPeriod` in interface `StpApi.LowEncodeVolumeEventConfigOrBuilder`

    - #### setNonMonzaReminderPeriod

          public StpApi.LowEncodeVolumeEventConfig.Builder setNonMonzaReminderPeriod(int value)

      The period at which the the device will send a reminder report that the remaining Non Monza encode volume is low. The value is the number of attempted encodes since last report. Set to 0 to disable reminders.

    - #### clearNonMonzaReminderPeriod

          public StpApi.LowEncodeVolumeEventConfig.Builder clearNonMonzaReminderPeriod()

      The period at which the the device will send a reminder report that the remaining Non Monza encode volume is low. The value is the number of attempted encodes since last report. Set to 0 to disable reminders.